Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface PoissonDistribution

All Superinterfaces:
  DiscreteDistribution, Distribution, IntegerDistribution

All Known Implementing Classes:
  PoissonDistributionImpl

public interface PoissonDistribution
extends IntegerDistribution

Interface representing the Poisson Distribution.

References:

- Poisson distribution

Version:
  $Revision: 1.2 $ $Date: 2004/11/07 20:39:15 $

Method Summary
`double` | `getMean()` Get the mean for the distribution.
`double` | `normalApproximateProbability(int x)` Calculates the Poisson distribution function using a normal approximation.
`void` | `setMean(double p)` Set the mean for the distribution.

Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution
`cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution
`probability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getMean

    public double getMean()

  Get the mean for the distribution.

  Returns:
    the mean for the distribution.

### setMean

    public void setMean(double p)

  Set the mean for the distribution. The parameter value must be positive; otherwise an `IllegalArgument` is thrown.

  Parameters:
    `p` - the mean
  Throws:
    `IllegalArgumentException` - if p ≤ 0

### normalApproximateProbability

    public double normalApproximateProbability(int x)
                                        throws MathException

  Calculates the Poisson distribution function using a normal approximation.

  Parameters:
    `x` - the upper bound, inclusive
  Returns:
    the distribution function value calculated using a normal approximation
  Throws:
    `MathException` - if an error occurs computing the normal approximation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.